{
    "type": "minecraft:chest",
    "pools": [
      {
        "rolls": 15,
        "entries": [
          {
            "type": "minecraft:item",
            "name": "minecraft:brown_mushroom",
            "weight": 1
          },
          {
            "type": "minecraft:item",
            "name": "minecraft:red_mushroom",
            "weight": 1
          }
        ],
        "functions": [
          {
            "function": "minecraft:set_custom_data",
            "tag": "{donot:1}"
          }
        ]
      }
    ]
  }
  